Debian Bug report logs - #645038
libbison-dev: undeclared file conflict with liby-dev 1:2.5.dfsg-1

version graph

Package: libbison-dev; Maintainer for libbison-dev is Chuan-kai Lin <cklin@debian.org>; Source for libbison-dev is src:bison.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 11 Oct 2011 22:24:02 UTC

Severity: serious

Tags: patch

Merged with 645047, 645086, 647244

Found in version bison/1:2.5.dfsg-2

Fixed in version bison/1:2.5.dfsg-2.1

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#645038; Package libbison-dev. (Tue, 11 Oct 2011 22:24:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libbison-dev: undeclared file conflict with liby-dev 1:2.5.dfsg-1
Date: Wed, 12 Oct 2011 00:21:53 +0200
Package: libbison-dev
Version: 1:2.5.dfsg-2
Severity: minor

I got this on today's upgrade:
| Unpacking libbison-dev (from .../libbison-dev_1%3a2.5.dfsg-2_i386.deb) ...
| dpkg: error processing /var/cache/apt/archives/libbison-dev_1%3a2.5.dfsg-2_i386.deb (--unpack):
|  trying to overwrite '/usr/lib/i386-linux-gnu/liby.a', which is also in package liby-dev 1:2.5.dfsg-1
| dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)

I understand that liby-dev 1:2.5.dfsg-1 shouldn't have existed in the 
first place (hence severity minor, not serious), but it would be nice if 
people who already have it installed could upgrade more gracefully.

Thanks for considering!


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libbison-dev recommends:
iu  bison  1:2.5.dfsg-2

-- 
Jakub Wilk




Forcibly Merged 645038 645047 645086. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 18 Oct 2011 03:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chuan-kai Lin <cklin@debian.org>:
Bug#645038; Package libbison-dev. (Fri, 25 Nov 2011 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Chuan-kai Lin <cklin@debian.org>. (Fri, 25 Nov 2011 10:45:13 GMT) Full text and rfc822 format available.

Message #10 received at 645038@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 645038@bugs.debian.org
Subject: bison: diff for NMU version 1:2.5.dfsg-2.1
Date: Fri, 25 Nov 2011 11:42:41 +0100
[Message part 1 (text/plain, inline)]
tags 645038 + patch
tags 645038 + pending
thanks

Dear maintainer,

I've prepared an NMU for bison (versioned as 1:2.5.dfsg-2.1) and
uploaded it to DELAYED/1. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/
[bison-2.5.dfsg-2.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 25 Nov 2011 10:45:22 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 25 Nov 2011 10:45:24 GMT) Full text and rfc822 format available.

Forcibly Merged 645038 645047 645086 647244. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 25 Nov 2011 10:48:10 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 26 Nov 2011 11:11:15 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 26 Nov 2011 11:11:33 GMT) Full text and rfc822 format available.

Message #21 received at 645038-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 645038-close@bugs.debian.org
Subject: Bug#645038: fixed in bison 1:2.5.dfsg-2.1
Date: Sat, 26 Nov 2011 11:02:15 +0000
Source: bison
Source-Version: 1:2.5.dfsg-2.1

We believe that the bug you reported is fixed in the latest version of
bison, which is due to be installed in the Debian FTP archive:

bison_2.5.dfsg-2.1.debian.tar.gz
  to main/b/bison/bison_2.5.dfsg-2.1.debian.tar.gz
bison_2.5.dfsg-2.1.dsc
  to main/b/bison/bison_2.5.dfsg-2.1.dsc
bison_2.5.dfsg-2.1_i386.deb
  to main/b/bison/bison_2.5.dfsg-2.1_i386.deb
libbison-dev_2.5.dfsg-2.1_i386.deb
  to main/b/bison/libbison-dev_2.5.dfsg-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 645038@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated bison package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 25 Nov 2011 11:35:14 +0100
Source: bison
Binary: bison libbison-dev
Architecture: source i386
Version: 1:2.5.dfsg-2.1
Distribution: unstable
Urgency: low
Maintainer: Chuan-kai Lin <cklin@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 bison      - YACC-compatible parser generator
 libbison-dev - YACC-compatible parser generator - development library
Closes: 645038
Changes: 
 bison (1:2.5.dfsg-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add "Conflicts: liby-dev (= 1:2.5.dfsg-1)" to libbison-dev to ensure
     that this version that should never have existed gets dropped from
     user's systems. Closes: #645038
Checksums-Sha1: 
 0e67ee89853a01263a29b2cccf67c15391a6bdec 1863 bison_2.5.dfsg-2.1.dsc
 2c38cbfe310f86e15dc5b17b7e0f7a7429419e00 8289 bison_2.5.dfsg-2.1.debian.tar.gz
 320b34fe25decbd5cb7f8a575e4134619dd9125b 671436 bison_2.5.dfsg-2.1_i386.deb
 f69a9e240c2753939bfb353676ee04eccff90ff4 289418 libbison-dev_2.5.dfsg-2.1_i386.deb
Checksums-Sha256: 
 d498cadb8284377a05021da3dae8ce7c60496e23523ba4e836e21c9b03e65aae 1863 bison_2.5.dfsg-2.1.dsc
 15b987d138a5cf677af0c97fd40dc110d43a45cc80770bc58d0170f6e8c24e0a 8289 bison_2.5.dfsg-2.1.debian.tar.gz
 b6ddb1811972043e7b8a90069b7e1d47c726b2e73e49aacbc434eb80f76dc057 671436 bison_2.5.dfsg-2.1_i386.deb
 9655816a1ff3214a4a9b42e3fc015a8afcada0d1881a8bfc9facdc85d1a06457 289418 libbison-dev_2.5.dfsg-2.1_i386.deb
Files: 
 bb5941584f0ded42fc763477252e4be1 1863 devel optional bison_2.5.dfsg-2.1.dsc
 f5bb71f8f131623db0b52494da866bba 8289 devel optional bison_2.5.dfsg-2.1.debian.tar.gz
 1fba12a7c139faf813da27ced3db1001 671436 devel optional bison_2.5.dfsg-2.1_i386.deb
 1d0c5f3879e5d65dcc6ce03309ebaa12 289418 libdevel optional libbison-dev_2.5.dfsg-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJOz3CWAAoJEOYZBF3yrHKaaIoP/2Ve/+oBIC8brImAPYFB9Ic4
IpsDQu1yP0QyS1O5o29xL3iJs0zLya35jwa+UjoFiRBsrOnRWj6QnqPuP7xyIFUQ
hpK6O6rc7VTI1NrsiTU1zR4i3wi6U3cITEJEAfI0wsDIlQGN04WJeTEVHbWhW9gy
4oq+vyn1qZCr5yDYrreGOE6eA6/Z4zFsZ4H+ByeXx7pfwSTvns8Ehxbu90eXiXGg
IAMSjyw/5A3gobAFWCpLUgr7eSt8vtXrmnq3Xu0qDXmpjG6mneUE6u0xGIQChjGT
V6/GUulpGShPi6XWPL9pXK5hsC3LoVEVpl4tkLLcBH/Mfv8w1CTqlIxo+PhvVrt9
bYuKfqt/7RAekrP9W4nlsCdk1ZfmkFmECoTJ7BRowNqSqIfLyJPYpYRNk07gdQkO
YzQ72NScFCe6zvwD8VBMqm/s1iRstvaVsiImz8ZV1S11R/uQT5tXKW+nroSQWl9s
dPuepGJ05ipZ0VSI32RLtKCBb32uuIGSbK+ydvEmrwiLWKZeMEtObcEjdiaeCKjm
UuJeEnL7R+dy0E8oZlVjOMjqkpHLgUyZQOJ4yGRApxE3dCfAQcLpp+GNDxEIQxvZ
rDoyImFETxVZ+ka8GRBMjwWGj8ZKSUWHnozygj8JNBFduZ/5QTKkcNDzrzmhXEmZ
2puK4H3ebTv6DPxgXpDY
=fY4k
-----END PGP SIGNATURE-----





Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 26 Nov 2011 11:11:51 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Sat, 26 Nov 2011 11:11:55 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 26 Nov 2011 11:12:00 GMT) Full text and rfc822 format available.

Notification sent to sedat.dilek@gmail.com:
Bug acknowledged by developer. (Sat, 26 Nov 2011 11:12:03 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 26 Nov 2011 11:12:07 GMT) Full text and rfc822 format available.

Notification sent to Mohsen Pahlevanzadeh <mohsen@pahlevanzadeh.org>:
Bug acknowledged by developer. (Sat, 26 Nov 2011 11:12:19 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Jan 2012 07:34:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:10:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.